# VectorNav C++ Library: vn::sensors::InsSolutionLlaRegister Struct Reference

vn::sensors::InsSolutionLlaRegister Struct Reference
Register Structures

Structure representing the INS Solution - LLA register. More...

`#include <registers.h>`

## Public Member Functions

| InsSolutionLlaRegister (double timeIn, uint16_t weekIn, uint16_t statusIn, vn::math::vec3f yawPitchRollIn, vn::math::vec3d positionIn, vn::math::vec3f nedVelIn, float attUncertaintyIn, float posUncertaintyIn, float velUncertaintyIn)
| Creates an initializes a new InsSolutionLlaRegister structure. More...

## Public Attributes

double | time
| The time field.
uint16_t | week
| The week field.
uint16_t | status
| The status field.
vn::math::vec3f | yawPitchRoll
| The yawPitchRoll field.
vn::math::vec3d | position
| The position field.
vn::math::vec3f | nedVel
| The nedVel field.
float | attUncertainty
| The attUncertainty field.
float | posUncertainty
| The posUncertainty field.
float | velUncertainty
| The velUncertainty field.

## Detailed Description

Structure representing the INS Solution - LLA register.

## Constructor & Destructor Documentation

vn::sensors::InsSolutionLlaRegister::InsSolutionLlaRegister | ( | double | timeIn,
|  | uint16_t | weekIn,
|  | uint16_t | statusIn,
|  | vn::math::vec3f | yawPitchRollIn,
|  | vn::math::vec3d | positionIn,
|  | vn::math::vec3f | nedVelIn,
|  | float | attUncertaintyIn,
|  | float | posUncertaintyIn,
|  | float | velUncertaintyIn
| ) |  |

inline

Creates an initializes a new InsSolutionLlaRegister structure.

Parameters

  [in] | timeIn | Value to initialize the time field with.
  [in] | weekIn | Value to initialize the week field with.
  [in] | statusIn | Value to initialize the status field with.
  [in] | yawPitchRollIn | Value to initialize the yawPitchRoll field with.
  [in] | positionIn | Value to initialize the position field with.
  [in] | nedVelIn | Value to initialize the nedVel field with.
  [in] | attUncertaintyIn | Value to initialize the attUncertainty field with.
  [in] | posUncertaintyIn | Value to initialize the posUncertainty field with.
  [in] | velUncertaintyIn | Value to initialize the velUncertainty field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h